﻿using System;
using CodeStage.AntiCheat.ObscuredTypes;

public class ObscuredIntProxy : UnityEngine.MonoBehaviour
{
    protected ObscuredInt ProxiedObject;

    public int Value
    {
        get { return ProxiedObject; }
        set { ProxiedObject = value; }
    }

    public ObscuredIntProxy()
    {
        ProxiedObject = new ObscuredInt();
    }

    public void Add(int value)
    {
        ProxiedObject += value;
    }

    public void Substract(int value)
    {
        ProxiedObject -= value;
    }

    public void Multiply(int value)
    {
        ProxiedObject *= value;
    }

    public void Divide(int value)
    {
        ProxiedObject /= value;
    }

    public void Set(int value)
    {
        ProxiedObject = value;
    }

    public int Get()
    {
        return ProxiedObject;
    }
}
